KillSounds.ui = {
	close = iup.stationbutton{title="Close", expand="YES", action=function() KillSounds.ui.Close() end},
	announcerlist = iup.stationsublist{"Classic", "Female", "Female2004", "Male", "Sexy", "UT2003", dropdown="YES", expand="HORIZONTAL", action=function(self, s,i,v)
		if v == 1 then KillSounds.UpdateAnnouncer(s) end
	end},
	soundlist = iup.stationsublist{
		"Double Kill", "Multi Kill", "Mega Kill", "Ultra Kill", "Monster Kill", "Ludicrous Kill", "Holy Shit",
		"Killing Spree", "Rampage", "Dominating", "Unstoppable", "Godlike", "Wicked Sick",
		expand="HORIZONTAL", dropdown="YES"
	},
	playbutton = iup.stationbutton{title="Play", action=function()
		local n = tonumber(KillSounds.ui.soundlist.value)
		if n <= 7 then
			gksound.GKPlaySound(KillSounds.Announcers[KillSounds.CurrentAnnouncer].."kill"..n)
		else
			n = (n-7)*5
			gksound.GKPlaySound(KillSounds.Announcers[KillSounds.CurrentAnnouncer].."spree"..n)
		end
	end},
	playertime = iup.text{value="", size=35},
	npctime = iup.text{value="", size=35},
	startupmessagetoggle = iup.stationtoggle{title="Show Help Message On Startup", action=function(self, v) KillSounds.UpdateShowStartupMessage(v == 1 and "ON" or "OFF") end},
	playkillmessagetoggle = iup.stationtoggle{title="Play Kill Messages", action=function(self, v) KillSounds.UpdatePlayKillMessages(v == 1 and "YES" or "NO") end},
	playspreemessagetoggle = iup.stationtoggle{title="Play Spree Messages", action=function(self, v) KillSounds.UpdatePlaySpreeMessages(v == 1 and "YES" or "NO") end},
}

KillSounds.ui.mainbox = iup.vbox{
	iup.hbox{iup.label{title="Kill Announcers:"}, KillSounds.ui.announcerlist, gap=5, alignment="ACENTER"},
	iup.hbox{iup.label{title="Preview Announcer:"}, KillSounds.ui.soundlist, KillSounds.ui.playbutton, gap=5, alignment="ACENTER"},
	iup.fill{size=15},
	iup.hbox{
		iup.vbox{
			iup.label{title="Maximum Time Before Player Announcer is Reset:"},
			iup.label{title="Maximum Time Before NPC Announcer is Reset:"},
			gap=5,
		},
		iup.fill{},
		iup.vbox{
			KillSounds.ui.playertime,
			KillSounds.ui.npctime,
			gap=5, alignment="ACENTER",
		},
		gap=5,
	},
	iup.fill{size=15},
	KillSounds.ui.startupmessagetoggle,
	KillSounds.ui.playkillmessagetoggle,
	KillSounds.ui.playspreemessagetoggle,
	gap=5, margin="2x2",
}

KillSounds.ui.main = iup.vbox{
	iup.pdarootframe{KillSounds.ui.mainbox},
	iup.pdarootframe{KillSounds.ui.close},
	gap=8,
	expand="NO",
}

KillSounds.ui.dlg = iup.dialog{
	iup.vbox{
		iup.fill{},
		iup.hbox{
			iup.fill{},
			KillSounds.ui.main,
			iup.fill{},
		},
		iup.fill{},
	},
	defaultesc=KillSounds.ui.close,
	bgcolor="0 0 0 160 *",
	fullscreen="YES",
	border="NO",
	resize="NO",
    menubox="NO",
    topmost="YES",
}
KillSounds.ui.dlg:map()

function KillSounds.ui.Close()
	KillSounds.UpdateTime("Player", tonumber(KillSounds.ui.playertime.value) or 30)
	KillSounds.UpdateTime("NPC", tonumber(KillSounds.ui.npctime.value) or 30)
	HideDialog(KillSounds.ui.dlg)
end
function KillSounds.ui.Open()
	KillSounds.ui.announcerlist.value = KillSounds.Announcers[KillSounds.CurrentAnnouncer]
	KillSounds.ui.playertime.value = KillSounds.PlayerTime
	KillSounds.ui.npctime.value = KillSounds.NPCTime
	KillSounds.ui.startupmessagetoggle.value = KillSounds.ShowStartupMessage
	KillSounds.ui.playkillmessagetoggle.value = KillSounds.PlayKillMessages == "YES" and "ON" or "OFF"
	KillSounds.ui.playspreemessagetoggle.value = KillSounds.PlaySpreeMessages == "YES" and "ON" or "OFF"
	ShowDialog(KillSounds.ui.dlg)
end
RegisterUserCommand("KillAnnouncements", KillSounds.ui.Open)
RegisterUserCommand("KillSounds", KillSounds.ui.Open)
RegisterUserCommand("UTSounds", KillSounds.ui.Open)

